import * as React from 'react';
const IconFirework = ({
  size = 24,
  color = 'currentColor',
  ...props
}: { size?: number; fill?: string } & React.SVGProps<any>) => (
  <svg
    width={size}
    height={size}
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M12.0001 1C12.5523 1 13.0001 1.44772 13.0001 2V6C13.0001 6.55228 12.5523 7 12.0001 7C11.4478 7 11.0001 6.55228 11.0001 6V2C11.0001 1.44772 11.4478 1 12.0001 1ZM17.7071 5.2928C18.0976 5.6833 18.0977 6.31646 17.7072 6.70701L16.2429 8.17153C15.8524 8.56208 15.2192 8.56212 14.8286 8.17162C14.4381 7.78113 14.4381 7.14796 14.8285 6.75741L16.2929 5.2929C16.6834 4.90234 17.3165 4.9023 17.7071 5.2928ZM6.2929 5.29286C6.68341 4.90233 7.31658 4.90232 7.70711 5.29283L9.17167 6.75733C9.5622 7.14784 9.56222 7.78101 9.1717 8.17154C8.78118 8.56208 8.14802 8.56209 7.75749 8.17157L6.29293 6.70708C5.9024 6.31656 5.90238 5.6834 6.2929 5.29286ZM10.0001 11C10.0001 9.89543 10.8955 9 12.0001 9C13.1046 9 14.0001 9.89543 14.0001 11C14.0001 12.1046 13.1046 13 12.0001 13C10.8955 13 10.0001 12.1046 10.0001 11ZM2 11.0001C2 10.4478 2.44772 10.0001 3 10.0001H7C7.55228 10.0001 8 10.4478 8 11.0001C8 11.5523 7.55228 12.0001 7 12.0001H3C2.44772 12.0001 2 11.5523 2 11.0001ZM16.0001 11.0001C16.0001 10.4478 16.4478 10.0001 17.0001 10.0001H21.0001C21.5524 10.0001 22.0001 10.4478 22.0001 11.0001C22.0001 11.5523 21.5524 12.0001 21.0001 12.0001H17.0001C16.4478 12.0001 16.0001 11.5523 16.0001 11.0001ZM9.22579 13.8871C9.58395 14.3075 9.53349 14.9386 9.11308 15.2968C6.95563 17.1348 5.72498 19.4191 4.96618 22.2582C4.82358 22.7918 4.27544 23.1087 3.74188 22.9661C3.20833 22.8235 2.8914 22.2754 3.034 21.7418C3.86975 18.6148 5.27681 15.9377 7.81608 13.7744C8.23648 13.4162 8.86763 13.4667 9.22579 13.8871ZM14.9184 13.9182C15.3089 13.5277 15.9421 13.5277 16.3326 13.9183L17.7071 15.2929C18.0977 15.6834 18.0976 16.3166 17.7071 16.7071C17.3166 17.0976 16.6834 17.0976 16.2929 16.707L14.9184 15.3324C14.5278 14.9419 14.5279 14.3087 14.9184 13.9182ZM12.0001 15.127C12.5523 15.127 13.0001 15.5748 13.0001 16.127V20C13.0001 20.5522 12.5523 21 12.0001 21C11.4478 21 11.0001 20.5522 11.0001 20V16.127C11.0001 15.5748 11.4478 15.127 12.0001 15.127Z"
      fill={color}
    />
  </svg>
);
export default IconFirework;
